// IWYU pragma: private, include "nvim/cursor_shape.h"
#define DEFINE_FUNC_ATTRIBUTES
#include "nvim/func_attr.h"
#undef DEFINE_FUNC_ATTRIBUTES
#ifndef DLLEXPORT
#  ifdef MSWIN
#    define DLLEXPORT __declspec(dllexport)
#  else
#    define DLLEXPORT
#  endif
#endif
DLLEXPORT Array mode_style_array(Arena *arena);
DLLEXPORT const char *parse_shape_opt(int what);
DLLEXPORT bool cursor_is_block_during_visual(bool exclusive) FUNC_ATTR_PURE;
DLLEXPORT int cursor_mode_str2int(const char *mode);
DLLEXPORT bool cursor_mode_uses_syn_id(int syn_id) FUNC_ATTR_PURE;
DLLEXPORT int cursor_get_mode_idx(void) FUNC_ATTR_PURE;
#include "nvim/func_attr.h"
